##### basic_socket_acceptor::basic_socket_acceptor (7 of 10 overloads)

Construct a `basic_socket_acceptor` on an existing native acceptor.

    basic_socket_acceptor(
        const executor_type & ex,
        const protocol_type & protocol,
        const native_handle_type & native_acceptor);

This constructor creates an acceptor object to hold an existing native acceptor.

###### Parameters

ex

  The I/O executor that the acceptor will use, by default, to dispatch handlers for any asynchronous operations performed on the acceptor.

protocol

  An object specifying protocol parameters to be used.

native_acceptor

  A native acceptor.

###### Exceptions

asio::system_error

  Thrown on failure.